Subject: No end in sight
From: Kay price <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 11 Mar 2013 14:22:17 -0500

Hi Tracy,

I was very upset to get a three page letter from a collection agency today. I got a bounced check for the ADS. It was signed by Stephanie and cashed March 1st! It was written for $150 and they were charging $25 for returning the check. They were asking us for $175.00. I can't understand how a teller would give cash for a closed account ?? This included a copy of a W-9 tax form request for our tax ID number. 

I made copies to send to Perry with a note saying I think HE should pay the total amount. In the meantime he called me to say he knew about that and had already emailed them that this was fraud, etc. he said he now found out that Stephanie took $3,500 out of his MM account and $2,000 out of his personal account. She took a packet of his checks. The police has a warrant out for her arrest. He was told to have nothing to do with her and if she shows up for her mail ( his address was her address) he should not let her in. 

I suggested he cancel his trip until this is sorted out. He said the bank has put $3,800 dollars back into our new  account and they will put back the rest. We were interrupted by a call from the detective and he said he would call me back.  That was two hours ago. 

He said he feels betrayed by a friend he had helped. I said you can not trust a mentally ill person who is an alcoholic, is bi-polar and has a history of theft. Da! Amazing.  I am just shaking my head. How could someone so bright have such poor judgement? 

I asked him why he lets these women have access to his financial records. he said he didn't. I reminded him that Lolo, the black girlfriend,  had his Soc. Sec. number  and opened up a Macy's charge card and had $2,000 worth of new furniture sent to her house in Cincinnati. 

I am putting copy of what I received in mail to you. I sure hope this doesn't  affect our reputation or our taxes? 

Maybe we will find out more after Steve Freeze has a meeting with the state on Thursday but I am betting the historical society will take CW over. In that case we can not count on anything for WWF. They will call the shots. I met with this SHS group with board member Dale Schultz and with Ken and Jim K. and I called them arrogant to their face, giving them several examples. They agreed they were!  They are self serving and they would love to get hold of our back room collection. Yet, they would sell it in a moment if they needed cash. They would promise us nothing. Anyway, they are out to get control of the $2.4 million budget for CW. Freeze sees little of that money going for advertising under their control. I feel sorry for Steve Freeze.  At the moment also for us!! 

What say you??

Kay